# AtomicGraphNets.jl

*Graph based models for machine learning on atomic systems!*

AtomicGraphNets implements a variety of graph-based methods, such as [Crystal Graph Convolutional Neural Nets](https://arxiv.org/abs/1710.10324); in Julia.\
It makes use of the [Flux](https://fluxml.ai/) ecosystem for model building, the [JuliaGraphs](https://github.com/JuliaGraphs) ecosystem for graph representation, and [ChemistryFeaturization](https://github.com/aced-differentiate/ChemistryFeaturization.jl) for building, featurizing, and visualizing the graphs.

This package is in development as part of the [ACED project](https://www.cmu.edu/aced/), funded by ARPA-E DIFFERENTIATE and coordinated by [Carnegie Mellon University](https://www.cmu.edu/), in collaboration with [Julia Computing](https://juliacomputing.com/), [Citrine Informatics](https://citrine.io/), and [MIT](https://web.mit.edu/).
